sane-find-scanner(1)

NOM
sane-find-scanner – Rechercher les numériseurs à balayage SCSI et USB et leurs fichiers de périphérique

SYNOPSIS
sane-find-scanner [-?|-h|--help] [-v] [-q] [-p] [-f] [-F fichier] [périphérique]

DESCRIPTION
sane-find-scanner est un outil en ligne de commande pour rechercher les numériseurs à balayage SCSI et USB, et pour déterminer leurs fichiers de périphérique UNIX. Son principal but est de s’assurer que les numériseurs pourront être détectés par les dorsaux de SANE.

Pour les numériseurs SCSI, cet outil recherche les fichiers de périphérique SCSI génériques par défaut (par exemple, /dev/sg0) et /dev/scanner. Le test est fait par l’envoi d’une commande de requête SCSI et la recherche d’un type de périphérique « scanner » ou « processor » (il semblerait que certains vieux numériseurs HP envoient « processor »). Aussi sane-find-scanner trouvera n’importe quel numériseur SCSI connecté à ces périphériques par défaut même s’ils ne sont pas pris en charge par un des dorsaux de SANE.

Pour les numériseurs USB, les fichiers de périphérique USB du noyau sont testés en premier (par exemple, /dev/usb/scanner0, /dev/usb/scanner et /dev/usbscanner). Les fichiers sont ouverts et les identifiants de fabricant et de périphérique sont déterminés si le système d’exploitation gère cette fonctionnalité. Actuellement, les numériseurs USB ne sont trouvés que de cette façon s’ils sont pris en charge par le module de numériseur de Linux ou le pilote uscanner de FreeBSD ou OpenBSD. Après ce test, sane-find-scanner essaie de rechercher des périphériques USB détectés par la bibliothèque USB libusb (si présente). Il n’existe pas de classe USB spéciale pour les numériseurs, aussi les heuristiques utilisées pour distinguer les numériseurs des autres périphériques USB ne sont pas parfaites. sane-find-scanner essaie aussi de déterminer le type de puce USB utilisée dans le numériseur. Si ce type est détecté, il sera affiché après les identifiants de fabricant et de produit. sane-find-scanner trouvera même les numériseurs USB qui ne sont pris en charge par aucun dorsal de SANE.

sane-find-scanner ne détectera pas la plupart des numériseurs sur port parallèle ou les numériseurs connectés à des ports propriétaires. Certains numériseurs sur port parallèle peuvent être détectés par sane-find-scanner -p. À la date où ces lignes sont écrites, parmi les numériseurs sur port parallèle, il ne détectera que ceux de la marque Mustek.

OPTIONS

-?, -h, --help
    Afficher un court message pour l’utilisation.

-v  Sortie prolixe. Si cette option est utilisée une seule fois, sane-find-scanner affiche chaque nom de périphérique et le résultat des tests. Si cette option est utilisée deux fois, les informations de requête SCSI et les descripteurs de périphérique USB sont aussi affichés.

-q  Sortie moins prolixe. Afficher seulement les périphériques, aucun commentaire.

-p  Rechercher des numériseurs sur port parallèle.

-f  Forcer l’ouverture de tous les périphériques explicitement indiqués comme étant des périphériques SCSI et USB. Cela est utile si sane-find-scanner n’arrive pas à détecter correctement le type de périphérique.

-F fichier
    fichier est un nom de fichier contenant des descripteurs USB dans le format de /proc/bus/usb/devices tel qu’utilisé par Linux. sane-find-scanner essaie d’identifier le(s) jeu(x) de puces de tous les numériseurs USB trouvés dans un tel fichier. Cette option est utile pour les développeurs quand la sortie de cat /proc/bus/usb/devices est disponible mais que le numériseur ne l’est pas.

périphérique
    Tester le fichier de périphérique. Aucun autre périphérique n’est recherché si périphérique est indiqué.

EXEMPLE
sane-find-scanner -v
Tester tous les périphériques SCSI et USB pour les numériseurs disponibles et afficher une ligne pour chaque fichier de périphérique.

sane-find-scanner /dev/scanner
Rechercher un numériseur (SCSI) seulement sur /dev/scanner et afficher le résultat.

sane-find-scanner -p
Rechercher des numériseurs sur port parallèle.

VOIR AUSSI
sane(7), sane-scsi(5), sane-usb(5), scanimage(1), xscanimage(1), xsane(1), sane-"nom_dorsal"(5)

AUTEUR
Oliver Rauch, Henning Meier-Geinitz et autres

PLATEFORMES PRISES EN CHARGE
La prise en charge d’USB est limitée à Linux (kernel, libusb), FreeBSD (kernel, libusb), NetBSD (libusb) et OpenBSD (kernel, libusb). La détection des identifiants du fabricant et du périphérique ne fonctionne qu’avec Linux et libusb.

La prise en charge de SCSI est disponible pour Irix, EMX, Linux, Next, AIX, Solaris, FreeBSD, NetBSD, OpenBSD et HP-UX.

BOGUES
La plupart des numériseurs à balayage sur port parallèle ne sont actuellement pas pris en charge.
La détection du jeu de puces est limitée à quelques jeux de puces.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.